document.addEventListener('DOMContentLoaded', () => {
    // Betting functionality
    const betButtons = document.querySelectorAll('.bet-button');
    const balanceElement = document.querySelector('.amount');
    
    betButtons.forEach(button => {
        button.addEventListener('click', () => {
            const betAmount = prompt('Enter bet amount:');
            if (betAmount && !isNaN(betAmount)) {
                const currentBalance = parseFloat(balanceElement.textContent.replace('$', ''));
                if (betAmount <= currentBalance) {
                    const newBalance = (currentBalance - betAmount).toFixed(2);
                    balanceElement.textContent = `$${newBalance}`;
                    alert('Bet placed successfully!');
                } else {
                    alert('Insufficient funds!');
                }
            }
        });
    });

    // Live match timer
    const updateLiveTime = () => {
        const timeElement = document.querySelector('.match-header span:last-child');
        if (timeElement) {
            const currentTime = timeElement.textContent.split(':');
            let minutes = parseInt(currentTime[0]);
            let seconds = parseInt(currentTime[1]);
            
            seconds++;
            if (seconds >= 60) {
                seconds = 0;
                minutes++;
            }
            
            timeElement.textContent = `${minutes}:${seconds.toString().padStart(2, '0')}`;
        }
    };

    setInterval(updateLiveTime, 1000);

    // Dynamic odds update
    const updateOdds = () => {
        const liveOdds = document.querySelectorAll('.live-odds .bet-button');
        liveOdds.forEach(odd => {
            const currentOdd = parseFloat(odd.textContent);
            const fluctuation = (Math.random() - 0.5) * 0.1;
            const newOdd = (currentOdd + fluctuation).toFixed(2);
            odd.textContent = newOdd;
            
            // Add visual feedback for odds changes
            odd.classList.add('odds-changed');
            setTimeout(() => odd.classList.remove('odds-changed'), 500);
        });
    };

    setInterval(updateOdds, 5000);
});